Method: brands.locations.updateLaunch

  • Use the PATCH method with a specific URL to update the launch information for a location.

  • The request requires path parameters including locationLaunch.name and a query parameter updateMask.

  • The request and response bodies use the LocationLaunch resource.

Updates the launch information for a location.

HTTP request

PATCH https://businesscommunications.googleapis.com/v1/{locationLaunch.name=brands/*/locations/*/launch}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
locationLaunch.name

string

Required. The identifier for launch.

Query parameters

Parameters
updateMask

string (FieldMask format)

The update mask applies to the resource. For the FieldMask definition, see https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#fieldmask

This is a comma-separated list of fully qualified names of fields. Example: "user.displayName,photo".

Request body

The request body contains an instance of LocationLaunch.

Response body

If successful, the response body contains an instance of LocationLaunch.